> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get TaxProfile entities.

- Product: Tax profiles
- Section: TaxProfile
- Snapshot: Current
- Method: `GET`
- Path: `/api/tax_profiles/`

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.taxProfiles.list();
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/tax_profiles/" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "name": "name",
    "taxProfileRates": [
      {
        "id": 0,
        "validFrom": "validFrom",
        "taxRateSpecification": {
          "displayName": "displayName",
          "position": 0
        },
        "validThrough": "validThrough"
      }
    ],
    "country": "country",
    "default": false,
    "reservationReferenceDate": "date-from"
  }
]
```

##### Schema

###### TaxProfile[]

Type: `TaxProfile[]`  

###### TaxProfile

Type: `TaxProfile`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `country`

Type: `string`  
Required: no  

###### `default`

Type: `boolean`  
Required: no  
Default: `false`  

###### `reservationReferenceDate`

Type: `string`  
Required: no  
Default: `date-from`  

###### `taxProfileRates`

Type: `TaxProfileRate[]`  
Required: yes  

###### TaxProfileRate

Type: `TaxProfileRate`  

###### `id`

Type: `number`  
Required: yes  

###### `validFrom`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `validThrough`

Type: `string`  
Format: `date-time`  
Required: no  

###### `taxRateSpecification`

Type: `TaxRateSpecification`  
Required: yes  

###### `position`

Type: `number`  
Required: no  

###### `displayName`

Type: `string`  
Required: yes  

## Related representations

- [Human documentation](/tax-profiles/methods/list/)
- [TypeScript Markdown](/tax-profiles/methods/list.md?lang=typescript)
- [curl Markdown](/tax-profiles/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/tax-profiles/llms.txt)
- [snapshot llms.txt](/tax-profiles/llms.txt)
